#!/usr/bin/env python
import coral

L = coral.lang.UML14
m = L.Model()
m.name = "myModel"

s=coral.Set()
s1=coral.Set()
s2=coral.Set()
s1.add(m)

s1.add(m)

s2.add(m)

print s1,s2

print s1.name,s2.name

s.add(s1)
s.add(s2)

print s
print s[0]
print s[0][0]

assert s[0] in [s1, s2]

try:
    assert s[0][0] == m
except:
    assert s[1][0] == m
    
